@echo off
REM
REM Aufrufscript
REM

cd /d %~dp0

set BASEDIR=%App%
set BASEDIR=C:\Apps\HI-Tier
set BASEDIR=%~dp0\..\..


:AGAIN
set HBINI=%1
if %HBINI%.==. set HBINI=HitBatch.ini
if exist %HBINI% goto RUNHB
echo Parameter-Datei: %HBINI% nicht gefunden
goto FERTIG

:RUNHB
echo HitBatch mit Parameterdatei %HBINI%
java -classpath "%BASEDIR%\HitUpros\HitUpros.jar;%BASEDIR%\HitBatch\HitBatch.jar" HitBatch.HitBatchMain %HBINI%
if ERRORLEVEL 5 goto ERROR
if ERRORLEVEL 4 goto REPEAT
if ERRORLEVEL 1 goto ERROR
goto FERTIG

:REPEAT
echo Wiederholen ???
pause
goto AGAIN1

:ERROR
echo Transfer der Daten nicht erfolgreich
pause
goto FERTIG


ERRORLEVELs:   0 = Verarbeitung OK, Details siehe Ergebns-Dateien
               1 = Impressum ausgegeben, keine weitere Verarbeitung
               2 = Parameter-Fehler, keine weitere Verarbeitung
               3 = Lese-Fehler, Verarbeitung wegen Problemen abgebrochen
               4 = Fehler in Verbindung zum HIT-Server, Verarbeitung abgebrochen
               5 = System-Fehler, Fehlertext bitte an Entwicklung melden

:FERTIG
exit /B
